com.buschmais.jqassistant.plugin.java.impl.scanner.visitor

## Class ClassVisitor

- java.lang.Object
- - org.objectweb.asm.ClassVisitor
  - - com.buschmais.jqassistant.plugin.java.impl.scanner.visitor.ClassVisitor

-     public class ClassVisitor
      extends org.objectweb.asm.ClassVisitor

- - ### Field Summary

    - ### Fields inherited from class org.objectweb.asm.ClassVisitor

      `api, cv`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassVisitor(VisitorHelper visitorHelper)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassFileDescriptor` | `getTypeDescriptor()` Return the type descriptor created by visiting the class.
    `void` | `visit(int version, int access, String name, String signature, String superName, String[] interfaces)`
    `AnnotationVisitor` | `visitAnnotation(String desc, boolean visible)`
    `void` | `visitAttribute(org.objectweb.asm.Attribute attribute)`
    `void` | `visitEnd()`
    `FieldVisitor` | `visitField(int access, String name, String desc, String signature, Object value)`
    `void` | `visitInnerClass(String name, String outerName, String innerName, int access)`
    `MethodVisitor` | `visitMethod(int access, String name, String desc, String signature, String[] exceptions)`
    `void` | `visitOuterClass(String owner, String name, String desc)`
    `void` | `visitSource(String source, String debug)`

    - ### Methods inherited from class org.objectweb.asm.ClassVisitor

      `visitTypeAnnotation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassVisitor

          public ClassVisitor(VisitorHelper visitorHelper)

  - ### Method Detail

    - #### getTypeDescriptor

          public ClassFileDescriptor getTypeDescriptor()

      Return the type descriptor created by visiting the class.
      Returns:
        The type descriptor.

    - #### visit

          public void visit(int version,
                            int access,
                            String name,
                            String signature,
                            String superName,
                            String[] interfaces)

      Overrides:
        `visit` in class `org.objectweb.asm.ClassVisitor`

    - #### visitField

          public FieldVisitor visitField(int access,
                                         String name,
                                         String desc,
                                         String signature,
                                         Object value)

      Overrides:
        `visitField` in class `org.objectweb.asm.ClassVisitor`

    - #### visitMethod

          public MethodVisitor visitMethod(int access,
                                           String name,
                                           String desc,
                                           String signature,
                                           String[] exceptions)

      Overrides:
        `visitMethod` in class `org.objectweb.asm.ClassVisitor`

    - #### visitSource

          public void visitSource(String source,
                                  String debug)

      Overrides:
        `visitSource` in class `org.objectweb.asm.ClassVisitor`

    - #### visitInnerClass

          public void visitInnerClass(String name,
                                      String outerName,
                                      String innerName,
                                      int access)

      Overrides:
        `visitInnerClass` in class `org.objectweb.asm.ClassVisitor`

    - #### visitOuterClass

          public void visitOuterClass(String owner,
                                      String name,
                                      String desc)

      Overrides:
        `visitOuterClass` in class `org.objectweb.asm.ClassVisitor`

    - #### visitAnnotation

          public AnnotationVisitor visitAnnotation(String desc,
                                                   boolean visible)

      Overrides:
        `visitAnnotation` in class `org.objectweb.asm.ClassVisitor`

    - #### visitAttribute

          public void visitAttribute(org.objectweb.asm.Attribute attribute)

      Overrides:
        `visitAttribute` in class `org.objectweb.asm.ClassVisitor`

    - #### visitEnd

          public void visitEnd()

      Overrides:
        `visitEnd` in class `org.objectweb.asm.ClassVisitor`

Copyright © 2015 buschmais GbR. All rights reserved.